Holger's Java API

## com.antelmann.util
Enum Direction

    java.lang.Object
      java.lang.Enum<Direction>
          com.antelmann.util.Direction

All Implemented Interfaces:
  Serializable, Comparable<Direction>

    public enum Direction

extends Enum<Direction>

useful for providing directions, so to speak.

Since:
  20.08.2016, 15:45:54
Author:
  holger

Enum Constant Summary
`BACKWARD`
`DOWN`
`FORWARD`
`LEFT`
`RIGHT`
`UP`

Method Summary
`static Direction[]` `get2Dimensionals()`
`boolean` `is2Dimensional()`
`String` `toBorderLayout()`
`static Direction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Direction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UP

    public static final Direction UP

### DOWN

    public static final Direction DOWN

### LEFT

    public static final Direction LEFT

### RIGHT

    public static final Direction RIGHT

### FORWARD

    public static final Direction FORWARD

### BACKWARD

    public static final Direction BACKWARD

Method Detail

### values

    public static Direction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Direction c : Direction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Direction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### is2Dimensional

    public boolean is2Dimensional()

### toBorderLayout

    public String toBorderLayout()

### get2Dimensionals

    public static Direction[] get2Dimensionals()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads